<?php
namespace Claromentis\Core\Ai;

$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array();
use Serializable;




interface AiRequestInterface extends Serializable
{
    
    
    
    
    
    
    public function isStreaming() : bool;
    
    
    
    
    
    
    public function getModelName() : string;
    
    
    
    
    
    
    public function serialize() : array;
}